﻿Imports Infragistics.Controls.Charts
Imports System.Data

Class MainWindow
    Public Sub New()

        ' This call is required by the designer.
        InitializeComponent()
        BuildGraph(TrainingStatGraph)

    End Sub


    Public Sub BuildGraph(ByRef DataChart As XamDataChart)
        Dim CurCulture As String
        CurCulture = System.Threading.Thread.CurrentThread.CurrentCulture.ToString

        Dim table As DataTable = CreateTable(10)
        Dim data = From row In table.Rows.OfType(Of DataRow)() Select New DataItem() With {.xVal = CDbl(row("Pass")), .yVal = CDbl(row("MAPE"))}

        DataChart.DataContext = data

    End Sub

    Public Function CreateTable(rows As Integer) As DataTable
        Dim d As New DataTable()
        Dim r As New Random()

        d.Columns.Add(New DataColumn("Pass", GetType(Integer)))
        d.Columns.Add(New DataColumn("MAPE", GetType(Integer)))


        For i As Integer = 0 To rows
            Dim row As DataRow = d.NewRow()

            row("Pass") = i
            row("MAPE") = r.[Next](1000 * i)
            d.Rows.Add(row)
        Next



        Return d
    End Function

End Class



Public Class DataItem
    Public Property xVal() As Double
        Get
            Return m_xAxis
        End Get
        Set(value As Double)
            m_xAxis = value
        End Set
    End Property

    Private m_xAxis As Double
    Public Property yVal() As Double
        Get
            Return m_YAxis
        End Get
        Set(value As Double)
            m_YAxis = value
        End Set
    End Property
    Private m_YAxis As Double

End Class
